application/json

Body Required

Price List to create

  • currency string
  • externalId string
  • name string

Responses

  • 201 application/json

    Created

    Hide response attributes Show response attributes object
    • currency string
    • defaultPriceList boolean
    • externalId string
    • name string
  • 400 application/json

    Bad request - invalid input

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
POST /v2/api/price-lists
curl \
 --request POST 'https://api.maddenanalytics.com/v2/api/price-lists' \
 --header "Content-Type: application/json" \
 --data '{"currency":"USD","externalId":"RETAIL_USD","name":"Retail USD"}'
Request examples
{
  "currency": "USD",
  "externalId": "RETAIL_USD",
  "name": "Retail USD"
}
Response examples (201)
{
  "currency": "USD",
  "defaultPriceList": false,
  "externalId": "RETAIL_USD",
  "name": "Retail USD"
}
Response examples (400)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}